<div id="products" class="page-layout carded fullwidth" fusePerfectScrollbar>
  <!-- TOP BACKGROUND -->
  <div class="top-bg {{secondColorBrand}}"></div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

    <!-- HEADER -->
    <div class="header white-fg"
      fxLayout="column" fxLayoutAlign="center center"
      fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">

      <!-- APP TITLE -->
      <div class="logo my-12 m-sm-0"
        fxLayout="row" fxLayoutAlign="start center">
        <mat-icon class="logo-icon mr-16" *fuseIfOnDom
          [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">group</mat-icon>
        <span class="logo-text h1" *fuseIfOnDom
          [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Clientes</span>
      </div>
      <!-- / APP TITLE -->

      <!-- SEARCH -->
      <div class="search-input-wrapper mx-12 m-md-0"
        fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">
        <label for="search" class="mr-8">
          <mat-icon class="secondary-text">search</mat-icon>
        </label>
        <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
          <input matInput id="search" #filter (keyup)='searchOnChange($event)'
            placeholder="Filtrar">
        </mat-form-field>
      </div>
      <!-- / SEARCH -->

      <button type="button" mat-raised-button color="primary"
        [ngClass]="primaryColorBrand" mat-button
        [routerLink]="['/customers/new']">NOVO CLIENTE</button>

    </div>
    <!-- / HEADER -->

    <!-- CONTENT CARD -->
    <div class="content-card mat-white-bg">

      <mat-table class="products-table"
        #table
        [dataSource]="dataSource"
        [@animateStagger]="{value:'50'}"
        fusePerfectScrollbar
        matSort matSortActive="name" matSortDirection="asc" matSortDisableClear>
        <ng-container cdkColumnDef="name">
          <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Nome</mat-header-cell>
          <mat-cell *cdkCellDef="let element">
            <p class="text-truncate">{{element.name}}</p>
          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="registrationNumber">
          <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">CPF/CNPJ</mat-header-cell>
          <mat-cell *cdkCellDef="let element">
            <p class="text-truncate">{{element.registrationNumber}}</p>
          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="email">
          <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">E-mail</mat-header-cell>
          <mat-cell *cdkCellDef="let element">
            <p class="text-truncate">{{element.email}}</p>
          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="brand">
          <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Marca</mat-header-cell>
          <mat-cell *cdkCellDef="let element">
            <p class="text-truncate">{{element.brandObj?.name}}</p>
          </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns"
          [ngClass]="primaryColorBrand"></mat-header-row>
        <mat-row *cdkRowDef="let row; columns: displayedColumns;"
          class="product"
          matRipple
          (click)="selectCustomer(row)">
        </mat-row>
      </mat-table>

      <mat-paginator
        [length]="resultLength"
        [pageSize]="10"
        [pageSizeOptions]="[10, 25, 50]"></mat-paginator>

    </div>
    <!-- / CONTENT CARD -->
  </div>
  <!-- / CENTER -->
</div>